Index: /anuga_core/source_numpy_conversion/anuga/shallow_water/data_manager.py
===================================================================
--- /anuga_core/source_numpy_conversion/anuga/shallow_water/data_manager.py	(revision 5946)
+++ /anuga_core/source_numpy_conversion/anuga/shallow_water/data_manager.py	(revision 5947)
@@ -79,5 +79,5 @@
 from os import getcwd
 
-
+from anuga.config import Int, Float, Float32
 from anuga.coordinate_transforms.redfearn import redfearn, \
      convert_from_latlon_to_utm
@@ -314,5 +314,5 @@
         from Scientific.IO.NetCDF import NetCDFFile
 
-        self.precision = numpy.float32 #Use single precision for quantities
+        self.precision = Float32 #Use single precision for quantities
         if hasattr(domain, 'max_size'):
             self.max_size = domain.max_size #file size max is 2Gig
@@ -407,5 +407,5 @@
         z = fid.variables['elevation']
 
-        volumes = fid.variables['volumes']
+        volumes = numpy.array(fid.variables['volumes'])
 
         # Get X, Y and bed elevation Z
@@ -632,5 +632,5 @@
 
 
-            fid.createVariable('volumes', numpy.int, ('number_of_volumes',
+            fid.createVariable('volumes', Int, ('number_of_volumes',
                                                 'number_of_vertices'))
 
@@ -1418,7 +1418,7 @@
 
     # Variable definitions
-    outfile.createVariable('points', numpy.float, ('number_of_points',
+    outfile.createVariable('points', Float, ('number_of_points',
                                              'number_of_dimensions'))
-    outfile.createVariable('elevation', numpy.float, ('number_of_points',))
+    outfile.createVariable('elevation', Float, ('number_of_points',))
 
     # Get handles to the variables
@@ -2600,5 +2600,5 @@
 
     # variable definitions
-    fid.createVariable('elevation', numpy.float, ('number_of_rows',
+    fid.createVariable('elevation', Float, ('number_of_rows',
                                             'number_of_columns'))
 
@@ -3163,5 +3163,5 @@
     fid.createDimension('number_of_timesteps', len(T))
 
-    fid.createVariable('time', numpy.float, ('number_of_timesteps',))
+    fid.createVariable('time', Float, ('number_of_timesteps',))
 
     fid.variables['time'][:] = T
@@ -3173,5 +3173,5 @@
             name = 'Attribute%d'%i
 
-        fid.createVariable(name, numpy.float, ('number_of_timesteps',))
+        fid.createVariable(name, Float, ('number_of_timesteps',))
         fid.variables[name][:] = Q[:,i]
 
@@ -3558,5 +3558,5 @@
 
     # variable definition
-    outfile.createVariable('elevation', numpy.float, ('number_of_points',))
+    outfile.createVariable('elevation', Float, ('number_of_points',))
 
     # Get handle to the variable
@@ -3775,5 +3775,5 @@
     #################################
 
-    outfile.createVariable('volumes', numpy.int, ('number_of_volumes',
+    outfile.createVariable('volumes', Int, ('number_of_volumes',
                                             'number_of_vertices'))
 
@@ -5321,5 +5321,5 @@
                      smoothing=True,
                      order=1,
-                     sww_precision=numpy.float32,
+                     sww_precision=None,
                      verbose=False):
         """
@@ -5332,4 +5332,10 @@
         outfile.institution = 'Geoscience Australia'
         outfile.description = description
+
+        # ensure sww_precision is a character data type
+        if sww_precision is None:
+            sww_precision = Float32
+        elif isinstance(sww_precision, type):
+            sww_precision = numpy.dtype(sww_precision).char
 
         # For sww compatibility
@@ -5406,8 +5412,8 @@
         #################################
 
-        outfile.createVariable('volumes', numpy.int, ('number_of_volumes',
+        outfile.createVariable('volumes', Int, ('number_of_volumes',
                                                 'number_of_vertices'))
         # Doing sww_precision instead of Float gives cast errors.
-        outfile.createVariable('time', numpy.float,
+        outfile.createVariable('time', Float,
                                ('number_of_timesteps',))
         
@@ -5744,5 +5750,5 @@
 
         # Variable definitions
-        outfile.createVariable('permutation', numpy.int, ('number_of_points',))  
+        outfile.createVariable('permutation', Int, ('number_of_points',))
         outfile.createVariable('x', sts_precision, ('number_of_points',))
         outfile.createVariable('y', sts_precision, ('number_of_points',))
@@ -5759,5 +5765,5 @@
 
         # Doing sts_precision instead of Float gives cast errors.
-        outfile.createVariable('time', numpy.float, ('number_of_timesteps',))
+        outfile.createVariable('time', Floatr, ('number_of_timesteps',))
 
         for q in Write_sts.sts_quantities:
Index: /anuga_core/source_numpy_conversion/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- /anuga_core/source_numpy_conversion/anuga/shallow_water/shallow_water_domain.py	(revision 5946)
+++ /anuga_core/source_numpy_conversion/anuga/shallow_water/shallow_water_domain.py	(revision 5947)
@@ -1457,5 +1457,4 @@
             # FIXME: Reconsider this semantics
             raise msg
-
         try:
             q = numpy.array(q).astype(numpy.float)
@@ -1467,7 +1466,10 @@
 
         # Is this really what we want?
-        msg = 'Return vector from function %s ' %f
+        msg = 'Return vector from function %s ' % f
         msg += 'must have same lenght as input vectors'
-        assert len(q) == N, msg
+        try:
+            assert len(q) == N, msg
+        except:
+            raise AssertionError, msg
 
     else:
Index: /anuga_core/source_numpy_conversion/anuga/shallow_water/test_data_manager.py
===================================================================
--- /anuga_core/source_numpy_conversion/anuga/shallow_water/test_data_manager.py	(revision 5946)
+++ /anuga_core/source_numpy_conversion/anuga/shallow_water/test_data_manager.py	(revision 5947)
@@ -15,4 +15,5 @@
 from sets import ImmutableSet
 
+from anuga.config import Float, Int
 from anuga.shallow_water import *
 from anuga.shallow_water.data_manager import *
@@ -66,5 +67,5 @@
         #Initial condition - with jumps
         bed = domain.quantities['elevation'].vertex_values
-        stage = numpy.zeros(bed.shape, numpy.float)
+        stage = numpy.zeros(bed.shape, Float)
 
         h = 0.3
@@ -446,5 +447,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -504,5 +504,4 @@
         
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -559,5 +558,4 @@
 
         import time, os, config
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -607,5 +605,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -663,5 +660,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -724,5 +720,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate, ones
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -838,5 +833,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate, ones
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -861,5 +855,5 @@
         xvec = range(10)
         #z = range(100)
-        z = numpy.zeros(100)
+        z = numpy.zeros(100, Float)
         NODATA_value = -9999
         count = -1
@@ -920,5 +914,5 @@
 
         #create new reference points
-        newz = numpy.zeros(19)
+        newz = numpy.zeros(19, Float)
         newz[0:2] = ref_elevation[32:34]
         newz[2:5] = ref_elevation[35:38]
@@ -969,5 +963,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate, ones
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -992,5 +985,5 @@
         xvec = range(10)
         #z = range(100)
-        z = numpy.zeros(100)
+        z = numpy.zeros(100, Float)
         NODATA_value = -9999
         count = -1
@@ -1051,5 +1044,5 @@
 
         #create new reference points
-        newz = numpy.zeros(14)
+        newz = numpy.zeros(14, Float)
         newz[0:2] = ref_elevation[32:34]
         newz[2:5] = ref_elevation[35:38]
@@ -1103,5 +1096,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -1235,5 +1227,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -1427,5 +1418,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -1511,5 +1501,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -1649,5 +1638,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -1795,5 +1783,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -1943,5 +1930,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -2130,5 +2116,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -2296,5 +2281,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -2408,5 +2392,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -2524,5 +2507,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -2557,5 +2539,5 @@
 
         bed = domain.quantities['elevation'].vertex_values
-        stage = numpy.zeros(bed.shape, numpy.float)
+        stage = numpy.zeros(bed.shape, Float)
 
         h = 0.3
@@ -2669,5 +2651,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -2769,5 +2750,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate, NewAxis
         from Scientific.IO.NetCDF import NetCDFFile
         # Used for points that lie outside mesh
@@ -3535,5 +3515,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -3582,5 +3561,4 @@
         ################################################
         from mesh_factory import rectangular
-##        from numpy.oldnumeric import array
 
         #Create basic mesh
@@ -3627,5 +3605,4 @@
         ##########################################
         from data_manager import sww2domain
-##        from numpy.oldnumeric import allclose
         import os
 
@@ -3719,5 +3696,4 @@
 
         from mesh_factory import rectangular
-##        from numpy.oldnumeric import array
 
         #Create basic mesh
@@ -3761,5 +3737,4 @@
         ##################################
         from data_manager import sww2domain
-##        from numpy.oldnumeric import allclose
         import os
 
@@ -3828,5 +3803,4 @@
         ################################################
         from mesh_factory import rectangular
-##        from numpy.oldnumeric import array
         #Create basic mesh
 
@@ -3872,5 +3846,4 @@
         ##########################################
         from data_manager import sww2domain
-##        from numpy.oldnumeric import allclose
         import os
 
@@ -3959,5 +3932,4 @@
 
         import os
-##        from numpy.oldnumeric import ones, allclose, Float, arange
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -3991,5 +3963,5 @@
         fid.createDimension('number_of_points', nrows*ncols)
 
-        fid.createVariable('elevation', numpy.float, ('number_of_points',))
+        fid.createVariable('elevation', Float, ('number_of_points',))
 
         elevation = fid.variables['elevation']
@@ -4018,5 +3990,5 @@
 
         #generate a stencil for computing the decimated values
-        stencil = numpy.ones((3,3), numpy.float) / 9.0
+        stencil = numpy.ones((3,3), Float) / 9.0
 
         decimate_dem(root, stencil=stencil, cellsize_new=100)
@@ -4042,5 +4014,4 @@
 
         import os
-##        from numpy.oldnumeric import ones, allclose, Float, arange, reshape
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -4075,5 +4046,5 @@
         fid.createDimension('number_of_points', nrows*ncols)
 
-        fid.createVariable('elevation', numpy.float, ('number_of_points',))
+        fid.createVariable('elevation', Float, ('number_of_points',))
 
         elevation = fid.variables['elevation']
@@ -4113,5 +4084,5 @@
 
         #generate a stencil for computing the decimated values
-        stencil = numpy.ones((3,3), numpy.float) / 9.0
+        stencil = numpy.ones((3,3), Float) / 9.0
 
         decimate_dem(root, stencil=stencil, cellsize_new=100)
@@ -4138,5 +4109,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -4164,5 +4134,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, Float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -5505,5 +5474,5 @@
             quantities_init[i] = ensure_numeric(quantities_init[i])
             #print "HA_init", HA_init
-            q_time = numpy.zeros((time_step_count, points_num), numpy.float)
+            q_time = numpy.zeros((time_step_count, points_num), Float)
             for time in range(time_step_count):
                 q_time[time,:] = quantities_init[i] #* time * 4
@@ -5588,5 +5557,5 @@
             quantities_init[i] = ensure_numeric(quantities_init[i])
             #print "HA_init", HA_init
-            q_time = numpy.zeros((time_step_count, points_num), numpy.float)
+            q_time = numpy.zeros((time_step_count, points_num), Float)
             for time in range(time_step_count):
                 q_time[time,:] = quantities_init[i] #* time * 4
@@ -6044,15 +6013,15 @@
             if ha is None:
                 this_ha = e
-                quantities_init[0].append(numpy.ones(time_step_count,numpy.float)*this_ha) # HA
+                quantities_init[0].append(numpy.ones(time_step_count,Float)*this_ha) # HA
             else:
                 quantities_init[0].append(ha[i])
             if ua is None:
                 this_ua = n
-                quantities_init[1].append(numpy.ones(time_step_count,numpy.float)*this_ua) # UA
+                quantities_init[1].append(numpy.ones(time_step_count,Float)*this_ua) # UA
             else:
                 quantities_init[1].append(ua[i])
             if va is None:
                 this_va = e
-                quantities_init[2].append(numpy.ones(time_step_count,numpy.float)*this_va) #
+                quantities_init[2].append(numpy.ones(time_step_count,Float)*this_va) #
             else:
                 quantities_init[2].append(va[i])            
@@ -6064,5 +6033,5 @@
         files = []        
         for i,q in enumerate(quantities):
-            q_time = numpy.zeros((time_step_count, points_num), numpy.float)
+            q_time = numpy.zeros((time_step_count, points_num), Float)
             quantities_init[i] = ensure_numeric(quantities_init[i])
             for time in range(time_step_count):
@@ -6129,8 +6098,8 @@
         first_tstep=numpy.ones(n,numpy.int)
         last_tstep=time_step_count*numpy.ones(n,numpy.int)
-        depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
         #-ve added to take into account mux file format where south is positive.
         base_name, files = self.write_mux2(lat_long_points,
@@ -6142,5 +6111,5 @@
                                       va=va)
 
-        weights=numpy.ones(1, numpy.float)
+        weights=numpy.ones(1, Float)
         #ensure that files are indeed mux2 files
         times, latitudes, longitudes, elevation, stage, starttime =read_mux2_py([files[0]],weights)
@@ -6184,6 +6153,6 @@
         first_tstep=numpy.ones(n,numpy.int)
         last_tstep=(time_step_count)*numpy.ones(n,numpy.int)
-        depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)+1
         ha[1]=time_step_count-numpy.arange(1,time_step_count+1)
@@ -6191,6 +6160,6 @@
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
         #-ve added to take into account mux file format where south is positive.
         base_name, files = self.write_mux2(lat_long_points,
@@ -6202,5 +6171,5 @@
                                       va=va)
 
-        weights=numpy.ones(1, numpy.float)
+        weights=numpy.ones(1, Float)
         #ensure that files are indeed mux2 files
         times, latitudes, longitudes, elevation, stage,starttime=read_mux2_py([files[0]],weights)
@@ -6246,12 +6215,12 @@
         last_tstep[0]-=1
 
-        depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
         #-ve added to take into account mux file format where south is positive.
         base_name, files = self.write_mux2(lat_long_points,
@@ -6263,5 +6232,5 @@
                                       va=va)
 
-        weights=numpy.ones(1, numpy.float)
+        weights=numpy.ones(1, Float)
         #ensure that files are indeed mux2 files
         times, latitudes, longitudes, elevation, stage,starttime=read_mux2_py([files[0]],weights)
@@ -6319,12 +6288,12 @@
         last_tstep[0]-=1
 
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
 
         base_name, files = self.write_mux2(lat_long_points,
@@ -6399,5 +6368,5 @@
         #momentum = velocity_ua *(stage+depth)
 
-        depth=numpy.zeros((len(lat_long_points),time_step_count),numpy.float)
+        depth=numpy.zeros((len(lat_long_points),time_step_count),Float)
         for i in range(len(lat_long_points)):
             depth[i]=gauge_depth[i]+tide+ha[i]
@@ -6434,12 +6403,12 @@
         last_tstep[0]-=1
 
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
 
         base_name, files = self.write_mux2(lat_long_points,
@@ -6496,12 +6465,12 @@
         last_tstep[0]-=1
 
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
 
         base_name, files = self.write_mux2(lat_long_points,
@@ -6557,12 +6526,12 @@
         last_tstep[0]-=1
 
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
 
         # Create two identical mux files to be combined by urs2sts
@@ -6653,5 +6622,5 @@
         #momentum = velocity_ua *(stage+depth)
 
-        depth=numpy.zeros((len(lat_long_points),time_step_count),numpy.float)
+        depth=numpy.zeros((len(lat_long_points),time_step_count),Float)
         for i in range(len(lat_long_points)):
             depth[i]=gauge_depth[i]+tide+2.0*ha[i]
@@ -6685,6 +6654,4 @@
            over waveheight, easting and northing velocity
         """
-##        from numpy.oldnumeric import asarray,numpy.transpose,sqrt,argmax,argmin,arange,numpy.float,\
-##            compress,zeros,fabs,take,size
         
         # Get path where this test is run
@@ -6850,6 +6817,4 @@
            over waveheight, easting and northing velocity
         """
-##        from numpy.oldnumeric import asarray,numpy.transpose,sqrt,argmax,argmin,arange,numpy.float,\
-##            compress,zeros,fabs,take,size
 
         # combined
@@ -7033,12 +6998,12 @@
         last_tstep[0]-=1
 
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
 
         # Create two identical mux files to be combined by urs2sts
@@ -7171,5 +7136,5 @@
         #momentum = velocity_ua *(stage+depth)
 
-        depth=numpy.zeros((len(lat_long_points),time_step_count),numpy.float)
+        depth=numpy.zeros((len(lat_long_points),time_step_count),Float)
         for i in range(len(lat_long_points)):
             depth[i]=gauge_depth[i]+tide+2.0*ha[i]
@@ -7220,12 +7185,12 @@
         last_tstep[0]-=1
 
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
         ha[0]=numpy.arange(0,time_step_count)
         ha[1]=numpy.arange(time_step_count,2*time_step_count)
         ha[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua=5*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua=5*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
 
         # Create two identical mux files to be combined by urs2sts
@@ -7283,6 +7248,4 @@
         """
         
-##        from numpy.oldnumeric import sin, cos
-                
         tide = 1.5
         time_step_count = 10
@@ -7330,5 +7293,5 @@
         
         # Create varying elevation data (positive values for seafloor)
-        gauge_depth=20*numpy.ones(n,numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
         for i in range(n):
             gauge_depth[i] += i**2
@@ -7337,11 +7300,11 @@
         
         # Create data to be written to first mux file        
-        ha0=2*numpy.ones((n,time_step_count),numpy.float)
+        ha0=2*numpy.ones((n,time_step_count),Float)
         ha0[0]=numpy.arange(0,time_step_count)
         ha0[1]=numpy.arange(time_step_count,2*time_step_count)
         ha0[2]=numpy.arange(2*time_step_count,3*time_step_count)
         ha0[3]=numpy.arange(3*time_step_count,4*time_step_count)
-        ua0=5*numpy.ones((n,time_step_count),numpy.float)
-        va0=-10*numpy.ones((n,time_step_count),numpy.float)
+        ua0=5*numpy.ones((n,time_step_count),Float)
+        va0=-10*numpy.ones((n,time_step_count),Float)
 
         # Ensure data used to write mux file to be zero when gauges are
@@ -7374,5 +7337,5 @@
                                              
         # Create data to be written to second mux file        
-        ha1=numpy.ones((n,time_step_count),numpy.float)
+        ha1=numpy.ones((n,time_step_count),Float)
         ha1[0]=numpy.sin(times_ref)
         ha1[1]=2*numpy.sin(times_ref - 3)
@@ -7381,5 +7344,5 @@
         ha1[4]=numpy.sin(2*times_ref-0.7)
                 
-        ua1=numpy.zeros((n,time_step_count),numpy.float)
+        ua1=numpy.zeros((n,time_step_count),Float)
         ua1[0]=3*numpy.cos(times_ref)        
         ua1[1]=2*numpy.sin(times_ref-0.7)   
@@ -7387,5 +7350,5 @@
         ua1[4]=2*numpy.ones(time_step_count)
         
-        va1=numpy.zeros((n,time_step_count),numpy.float)
+        va1=numpy.zeros((n,time_step_count),Float)
         va1[0]=2*numpy.cos(times_ref-0.87)        
         va1[1]=3*numpy.ones(time_step_count)
@@ -7519,5 +7482,5 @@
         #momentum = velocity_ua *(stage+depth)
 
-        depth_ref = numpy.zeros((len(permutation), time_step_count), numpy.float)
+        depth_ref = numpy.zeros((len(permutation), time_step_count), Float)
         for i in range(len(permutation)):
             depth_ref[i]=gauge_depth_ref[i]+tide+ha_ref[i]
@@ -7631,5 +7594,5 @@
         #momentum = velocity_ua *(stage+depth)
 
-        depth_ref = numpy.zeros((len(permutation), time_step_count), numpy.float)
+        depth_ref = numpy.zeros((len(permutation), time_step_count), Float)
         for i in range(len(permutation)):
             depth_ref[i]=gauge_depth_ref[i]+tide+ha_ref[i]
@@ -7737,5 +7700,5 @@
         #momentum = velocity_ua *(stage+depth)
 
-        depth_ref = numpy.zeros((len(permutation), time_step_count), numpy.float)
+        depth_ref = numpy.zeros((len(permutation), time_step_count), Float)
         for i in range(len(permutation)):
             depth_ref[i]=gauge_depth_ref[i]+tide+ha_ref[i]
@@ -7819,8 +7782,8 @@
         u = 10
         v = -10
-        gauge_depth=h*numpy.ones(n,numpy.float)
-        ha=w*numpy.ones((n,time_step_count),numpy.float)
-        ua=u*numpy.ones((n,time_step_count),numpy.float)
-        va=v*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=h*numpy.ones(n,Float)
+        ha=w*numpy.ones((n,time_step_count),Float)
+        ua=u*numpy.ones((n,time_step_count),Float)
+        va=v*numpy.ones((n,time_step_count),Float)
         base_name, files = self.write_mux2(lat_long_points,
                                            time_step_count, time_step,
@@ -7875,5 +7838,5 @@
         finaltime=time_step*(time_step_count-1)
         yieldstep=time_step
-        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,Float)
 
         for i, t in enumerate(domain_fbound.evolve(yieldstep=yieldstep,
@@ -7907,5 +7870,5 @@
 
         domain_drchlt.set_boundary({'ocean': Bd,'otherocean': Br})
-        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,Float)
 
         for i, t in enumerate(domain_drchlt.evolve(yieldstep=yieldstep,
@@ -7969,8 +7932,8 @@
         u = 10
         v = -10
-        gauge_depth=h*numpy.ones(n,numpy.float)
-        ha=w*numpy.ones((n,time_step_count),numpy.float)
-        ua=u*numpy.ones((n,time_step_count),numpy.float)
-        va=v*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=h*numpy.ones(n,Float)
+        ha=w*numpy.ones((n,time_step_count),Float)
+        ua=u*numpy.ones((n,time_step_count),Float)
+        va=v*numpy.ones((n,time_step_count),Float)
         base_name, files = self.write_mux2(lat_long_points,
                                            time_step_count, time_step,
@@ -8034,5 +7997,5 @@
         finaltime = data_finaltime + 10 # Let model time exceed available data
         yieldstep = time_step
-        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1, numpy.float)
+        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1, Float)
 
         for i, t in enumerate(domain_fbound.evolve(yieldstep=yieldstep,
@@ -8066,5 +8029,5 @@
 
         domain_drchlt.set_boundary({'ocean': Bd,'otherocean': Br})
-        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,Float)
 
         for i, t in enumerate(domain_drchlt.evolve(yieldstep=yieldstep,
@@ -8127,8 +8090,8 @@
         u = 10
         v = -10
-        gauge_depth=h*numpy.ones(n,numpy.float)
-        ha=w*numpy.ones((n,time_step_count),numpy.float)
-        ua=u*numpy.ones((n,time_step_count),numpy.float)
-        va=v*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=h*numpy.ones(n,Float)
+        ha=w*numpy.ones((n,time_step_count),Float)
+        ua=u*numpy.ones((n,time_step_count),Float)
+        va=v*numpy.ones((n,time_step_count),Float)
         base_name, files = self.write_mux2(lat_long_points,
                                            time_step_count, time_step,
@@ -8195,5 +8158,5 @@
         finaltime = data_finaltime + 10 # Let model time exceed available data
         yieldstep = time_step
-        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1, numpy.float)
+        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1, Float)
 
         for i, t in enumerate(domain_fbound.evolve(yieldstep=yieldstep,
@@ -8241,8 +8204,8 @@
         first_tstep=numpy.ones(n,numpy.int)
         last_tstep=(time_step_count)*numpy.ones(n,numpy.int)
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
-        ua=10*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
+        ua=10*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
         base_name, files = self.write_mux2(lat_long_points,
                                            time_step_count,
@@ -8286,5 +8249,5 @@
         finaltime=time_step*(time_step_count-1)
         yieldstep=time_step
-        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,Float)
         
         for i, t in enumerate(domain_fbound.evolve(yieldstep=yieldstep,
@@ -8298,5 +8261,5 @@
         Bd = Dirichlet_boundary([2.0+tide,220+10*tide,-220-10*tide])
         domain_drchlt.set_boundary({'ocean': Bd,'otherocean': Br})
-        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,Float)
 
         for i, t in enumerate(domain_drchlt.evolve(yieldstep=yieldstep,
@@ -8347,8 +8310,8 @@
         first_tstep=numpy.ones(n,numpy.int)
         last_tstep=(time_step_count)*numpy.ones(n,numpy.int)
-        gauge_depth=20*numpy.ones(n,numpy.float)
-        ha=2*numpy.ones((n,time_step_count),numpy.float)
-        ua=10*numpy.ones((n,time_step_count),numpy.float)
-        va=-10*numpy.ones((n,time_step_count),numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
+        ha=2*numpy.ones((n,time_step_count),Float)
+        ua=10*numpy.ones((n,time_step_count),Float)
+        va=-10*numpy.ones((n,time_step_count),Float)
         base_name, files = self.write_mux2(lat_long_points,
                                            time_step_count,
@@ -8436,5 +8399,5 @@
         finaltime=time_step*(time_step_count-1)
         yieldstep=time_step
-        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,Float)
     
         for i, t in enumerate(domain_fbound.evolve(yieldstep=yieldstep,
@@ -8449,5 +8412,5 @@
         Bd = Dirichlet_boundary([2.0+tide,220+10*tide,-220-10*tide])
         domain_drchlt.set_boundary({'ocean': Bd,'otherocean': Br})
-        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,Float)
         
         for i, t in enumerate(domain_drchlt.evolve(yieldstep=yieldstep,
@@ -8514,8 +8477,8 @@
         last_tstep=(time_step_count)*numpy.ones(n,numpy.int)
         
-        gauge_depth=20*numpy.ones(n,numpy.float)
+        gauge_depth=20*numpy.ones(n,Float)
         ha1[1]=2*sin(times_ref - 3)
-        ua=0.0*numpy.ones((n,time_step_count),numpy.float)
-        va=0.0*numpy.ones((n,time_step_count),numpy.float)
+        ua=0.0*numpy.ones((n,time_step_count),Float)
+        va=0.0*numpy.ones((n,time_step_count),Float)
         
         
@@ -8630,5 +8593,5 @@
         finaltime=time_step*(time_step_count-1)
         yieldstep=time_step
-        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_fbound=numpy.zeros(int(finaltime/yieldstep)+1,Float)
     
         for i, t in enumerate(domain_fbound.evolve(yieldstep=yieldstep,
@@ -8646,5 +8609,5 @@
         domain_drchlt.set_boundary({'ocean': Bd,'otherocean': Br})
         
-        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,numpy.float)
+        temp_drchlt=numpy.zeros(int(finaltime/yieldstep)+1,Float)
         
         for i, t in enumerate(domain_drchlt.evolve(yieldstep=yieldstep,finaltime=finaltime, 
@@ -10014,5 +9977,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, numpy.float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -10148,5 +10110,4 @@
         
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, numpy.float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -10236,5 +10197,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, numpy.float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -10363,5 +10323,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, numpy.float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
@@ -10466,5 +10425,4 @@
 
         import time, os
-##        from numpy.oldnumeric import array, zeros, allclose, numpy.float, concatenate
         from Scientific.IO.NetCDF import NetCDFFile
 
Index: /anuga_core/source_numpy_conversion/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /anuga_core/source_numpy_conversion/anuga/shallow_water/test_shallow_water_domain.py	(revision 5946)
+++ /anuga_core/source_numpy_conversion/anuga/shallow_water/test_shallow_water_domain.py	(revision 5947)
@@ -433,5 +433,5 @@
 
 
-        assert domain.get_conserved_quantities(0, edge=1) == 0.
+        assert numpy.alltrue(domain.get_conserved_quantities(0, edge=1) == 0.)
 
 
@@ -6080,5 +6080,5 @@
     suite = unittest.makeSuite(Test_Shallow_Water,'test')
 
-    #suite = unittest.makeSuite(Test_Shallow_Water,'test_get_energy_through_cross_section_with_g')    
+##    suite = unittest.makeSuite(Test_Shallow_Water,'test_wind_stress_error_condition')    
     #suite = unittest.makeSuite(Test_Shallow_Water,'test_fitting_using_shallow_water_domain')    
     #suite = unittest.makeSuite(Test_Shallow_Water,'test_tight_slope_limiters')
